extends layout

block content
  h1.title.is-2.has-text-white= title
  h2.title.is-4.has-text-white= subtitle

  .box
    nav.pagination(role="navigation", aria-label="pagination")
      - currentPage = parseInt(page, 10)
      - previousPage = currentPage - 1
      - disabledPreviousPage = currentPage === 1
      - nextPage = currentPage + 1
      - disabledNextPage = pages <= currentPage
      a.pagination-previous(
        href="/?page=" + previousPage,
        disabled=disabledPreviousPage
      ) Previous
      a.pagination-next(
        href="/?page=" + nextPage,
        disabled=disabledNextPage
      ) Next page
    table.table
      thead
        tr
          th ID
          th Title
          th Album
          th Email
          th Country
      tfoot
        tr
          th ID
          th Title
          th Album
          th Email
          th Country
      tbody
        each track in tracks
          tr
            td= track.id
            td= track.title
            td= track.album
            td= track.email
            td= track.country
    nav.pagination(role="navigation", aria-label="pagination")
      - currentPage = parseInt(page, 10)
      - previousPage = currentPage - 1
      - disabledPreviousPage = currentPage === 1
      - nextPage = currentPage + 1
      - disabledNextPage = pages <= currentPage
      a.pagination-previous(
        href="/?page=" + previousPage,
        disabled=disabledPreviousPage
      ) Previous
      a.pagination-next(
        href="/?page=" + nextPage,
        disabled=disabledNextPage
      ) Next page
